This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 206886

Summary: booting stops after unmounting old /sys
Product: [Fedora] Fedora Reporter: Mark Wielaard <mjw>
Component: xenAssignee: Mark McLoughlin <markmc>
Status: CLOSED WONTFIX QA Contact: Martin Jenner <mjenner>
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: bstein, katzj, mattdm, xen-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-02-26 18:21:27 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
xen/kernel boot captured through minicom
none
Log for Kernel command line: root=/dev/sdb2 console=tty0 console=ttyS0,115200n8 debug none

Description Mark Wielaard 2006-09-17 14:52:09 EDT
Description of problem:

Booting stops after printing unmounting old /sys

Version-Release number of selected component (if applicable):

2.6.17-1.2647.fc6

How reproducible:

Always

Steps to Reproduce:
1. Boot with xen enabled
2.
3.
  
Actual results:

Boot stops

Expected results:

Full boot

Additional info:

attached xen/kernel log captured through minicom
Comment 1 Mark Wielaard 2006-09-17 14:52:09 EDT
Created attachment 136491 [details]
xen/kernel boot captured through minicom
Comment 2 Stephen Tweedie 2006-09-18 06:27:39 EDT
A few questions:

Does the corresponding non-xen kernel boot OK?  Did any earlier -xen kernels
boot OK?

It would also be very helpful to see a kernel log captured with the "debug" boot
option (it looks like you already have "quiet" turned off, thanks!)
Comment 3 Mark Wielaard 2006-09-18 07:09:13 EDT
(In reply to comment #2)
> Does the corresponding non-xen kernel boot OK?

Yes, works fine.

> Did any earlier -xen kernels boot OK?

This is the first time I tried a -xen kernel on this machine. The only other one
I tried was the one that came with the fc6test3 release (2630) which behaved the
same (I then tried to yum upgrade to see if anything newer was available).

> It would also be very helpful to see a kernel log captured with the "debug" boot
> option (it looks like you already have "quiet" turned off, thanks!)

I was not aware of turning off "quiet" :)
The captured log was created by using the folllowing in grub (and having a
null-modem cable to another machine):

kernel /boot/xen.gz-2.6.17-1.2647.fc6 com1=115200
module /boot/vmlinuz-2.6.17-1.2647.fc6xen root=/dev/sdb2 console=tty0
console=ttyS0,115200n8

What should I pass to provide you with the debug output?
Comment 4 Stephen Tweedie 2006-09-18 07:31:37 EDT
Simply add a "debug" option to the "module" line that specifies the vmlinuz
kernel image, thanks.
Comment 5 Mark Wielaard 2006-09-18 07:49:04 EDT
Created attachment 136532 [details]
Log for Kernel command line: root=/dev/sdb2 console=tty0 console=ttyS0,115200n8 debug
Comment 7 Mark McLoughlin 2007-03-30 07:51:35 EDT
Mark: was this still an issue with FC6 final? How about now with latest FC6 updates?
Comment 8 Matthew Miller 2007-04-06 13:25:41 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 9 Red Hat Bugzilla 2007-07-24 19:57:13 EDT
change QA contact
Comment 10 Chris Lalancette 2008-02-26 18:21:27 EST
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks